"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var content_view_1 = require('ui/content-view');
var color_1 = require("color");
var Orientation = android.graphics.drawable.GradientDrawable.Orientation;
var BL_TR = Orientation.BL_TR;
var BOTTOM_TOP = Orientation.BOTTOM_TOP;
var BR_TL = Orientation.BR_TL;
var LEFT_RIGHT = Orientation.LEFT_RIGHT;
var RIGHT_LEFT = Orientation.RIGHT_LEFT;
var TL_BR = Orientation.TL_BR;
var TOP_BOTTOM = Orientation.TOP_BOTTOM;
var TR_BL = Orientation.TR_BL;
var Gradient = (function (_super) {
    __extends(Gradient, _super);
    function Gradient() {
        _super.apply(this, arguments);
    }
    Object.defineProperty(Gradient.prototype, "android", {
        get: function () {
            return this._android;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Gradient.prototype, "_nativeView", {
        get: function () {
            return this._android;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Gradient.prototype, "startColor", {
        get: function () {
            return this._startColor;
        },
        set: function (value) {
            this._startColor = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Gradient.prototype, "endColor", {
        get: function () {
            return this._endColor;
        },
        set: function (value) {
            this._endColor = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Gradient.prototype, "orientation", {
        get: function () {
            return this._orientation;
        },
        set: function (value) {
            this._orientation = value;
        },
        enumerable: true,
        configurable: true
    });
    Gradient.prototype._createUI = function () {
        this._android = new net.colindodd.gradientlayout.GradientRelativeLayout(this._context, null);
        if (!this._androidViewId) {
            this._androidViewId = android.view.View.generateViewId();
        }
        this._android.setId(this._androidViewId);
        if (this._startColor && this._endColor) {
            var start = new color_1.Color(this._startColor).android;
            var end = new color_1.Color(this._endColor).android;
            var orientation_1 = this.setOrientation(this._orientation);
            this._android.setGradientBackgroundConfig(start, end, orientation_1);
        }
        else {
            console.log('You need to specify a startColor & endColor for the gradient.');
        }
    };
    Gradient.prototype.setOrientation = function (value) {
        if (!value) {
            return TOP_BOTTOM;
        }
        else {
            switch (value) {
                case 'BL_TR':
                    return BL_TR;
                case 'BOTTOM_TOP':
                    return BOTTOM_TOP;
                case 'BR_TL':
                    return BR_TL;
                case 'LEFT_RIGHT':
                    return LEFT_RIGHT;
                case 'RIGHT_LEFT':
                    return RIGHT_LEFT;
                case 'TL_BR':
                    return TL_BR;
                case 'TOP_BOTTOM':
                    return TOP_BOTTOM;
                case 'TR_BL':
                    return TR_BL;
            }
        }
    };
    return Gradient;
}(content_view_1.ContentView));
exports.Gradient = Gradient;
//# sourceMappingURL=gradient.android.js.map